- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GAuth::SecretsFile Class Reference

A implementation class used by GAuth::Secrets. More...

`#include <gsecretsfile.h>`

## Public Member Functions
| SecretsFile (const G::Path &path, bool auto_, const std::string &name, const std::string &type)
| ~SecretsFile ()
bool | valid () const
std::string | id (const std::string &mechanism) const
std::string | secret (const std::string &mechanism) const
std::string | secret (const std::string &mechanism, const std::string &id) const
std::string | path () const
bool | contains (const std::string &mechanism) const

## Detailed Description

A implementation class used by GAuth::Secrets.

Definition at line 42 of file gsecretsfile.h.

## Constructor & Destructor Documentation

GAuth::SecretsFile::SecretsFile | ( | const G::Path & | path,
|  | bool | auto_,
|  | const std::string & | name,
|  | const std::string & | type
| ) |  |

Definition at line 40 of file gsecretsfile.cpp.

References G_DEBUG, and G::Path::str().

GAuth::SecretsFile::~SecretsFile | ( |  | ) |

Definition at line 182 of file gsecretsfile.cpp.

## Member Function Documentation

bool GAuth::SecretsFile::contains | ( | const std::string & | mechanism | ) | const

Definition at line 222 of file gsecretsfile.cpp.

std::string GAuth::SecretsFile::id | ( | const std::string & | mechanism | ) | const

Definition at line 186 of file gsecretsfile.cpp.

References G::Xtext::decode(), and G_DEBUG.

std::string GAuth::SecretsFile::path | ( |  | ) | const

Definition at line 217 of file gsecretsfile.cpp.

std::string GAuth::SecretsFile::secret | ( | const std::string & | mechanism | ) | const

Definition at line 197 of file gsecretsfile.cpp.

References G::Xtext::decode().

std::string GAuth::SecretsFile::secret | ( | const std::string & | mechanism,
|  | const std::string & | id
| ) |  | const

Definition at line 207 of file gsecretsfile.cpp.

References G::Xtext::decode(), and G::Xtext::encode().

bool GAuth::SecretsFile::valid | ( |  | ) | const

Definition at line 56 of file gsecretsfile.cpp.

The documentation for this class was generated from the following files:

- gsecretsfile.h
- gsecretsfile.cpp